Subject: bug#32520: 26.1; problem with CIFS mounts

From: [email-masked]
Date: Fri, 24 Aug 2018 14:20:23 -0700

> Maybe you need "\\`/cif/[^/]+/[^/]+/\\'" or some other
> variant.  I think that is the right variable, but you may
> need to experiment to find the correct setting.

That variable is defined in files.el as (minus the doc string):

(defvar locate-dominating-stop-dir-regexp
  (purecopy "\\`\\(?:[\\/][\\/][^\\/]+[\\/]\\|/\\(?:net\\|afs\\|\\.\\.\\.\\)/\\)\\'"))

I added this to my init, and executed:

(setq locate-dominating-stop-dir-regexp
  (purecopy "\\`\\(?:[\\/][\\/][^\\/]+[\\/]\\|[\\/]smb[\\/][^\\/]+[\\/][^\\/]+[\\/]\\|/\\(?:net\\|afs\\|\\.\\.\\.\\)/\\)\\'"))

Now the warnings about .dir-locals-2.el and .dir-locals.el
no longer show.  These used to show when visiting
directories.

However the warnings for \\<host>\{.bzr,git,.hg,.svn} are
still there when visiting files.  These seem to be
referenced in a few files, but because I've seen _MTN a
couple of times it may come from one of these

  vc/vc-hooks.el.gz
  vc/add-log.el.gz

Not sure yet how to shut those up.

-- Henrique

------------------------------------------------------------

On a side note
Why does this, the default  setting
  (purecopy "\\`\\(?:[\\/][\\/][^\\/]+[\\/]\\|/\\(?:net\\|afs\\|\\.\\.\\.\\)/\\)\\'"))
escape / as [\\/] for the first case
  //[^/]+/
but not for the second
 /[net|afs|...]/
?